#!/usr/bin/env python3
# -*- coding: utf-8 -*-


from setuptools import setup, find_packages  # noqa: H301

# read the contents of your README file
from pathlib import Path

this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text()

setup(
    name="zkygr-artifactory-cleanup",
    version="1.3.0",
    description="Rules and cleanup policies for Artifactory",
    long_description=long_description,
    long_description_content_type="text/markdown",
    license="MIT",
    author="Kay Gerlitzki",
    author_email="git@kygr.net",
    url="https://github.com/zkygr/artifactory-cleanup",
    keywords=["artifactory", "cleanup"],
    packages=find_packages(exclude=["tests"]),
    entry_points={
        "console_scripts": [
            "artifactory-cleanup=artifactory_cleanup.cli:ArtifactoryCleanupCLI"
        ]
    },
    install_requires=[
        "hurry.filesize",
        "prettytable",
        "plumbum",
        "dohq-artifactory",
        "teamcity-messages",
        "treelib",
        "attrs",
        "pydash",
        "pyyaml",
        "cfgv~=3.3",
        'typing-extensions; python_version < "3.8.0"',
    ],
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "License :: OSI Approved :: MIT License",
        "Natural Language :: English",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
    ],
    python_requires=">=3.6",
    include_package_data=True,
)
